org.apache.tinkerpop.gremlin.structure

## Class FeatureSupportTest.LogicalFeatureSupportTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.FeatureSupportTest.LogicalFeatureSupportTest

- Enclosing class:
    FeatureSupportTest

      public static class FeatureSupportTest.LogicalFeatureSupportTest
      extends AbstractGremlinTest

  Feature checks that simply evaluate conflicting feature definitions without evaluating the actual implementation itself.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogicalFeatureSupportTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `innerSetup()`
    `void` | `shouldNotSupportAnyIdsUnlessUserSuppliedIdsIsSupportedOnEdge()`
    `void` | `shouldNotSupportAnyIdsUnlessUserSuppliedIdsIsSupportedOnVertex()`
    `void` | `shouldNotSupportAnyIdsUnlessUserSuppliedIdsIsSupportedOnVertexProperty()`
    `void` | `shouldSupportADataTypeIfEdgeHasPropertyEnabled()`
    `void` | `shouldSupportADataTypeIfGraphHasVariablesEnabled()`
    `void` | `shouldSupportADataTypeIfVertexHasPropertyEnabled()`
    `void` | `shouldSupportMultiPropertiesIfSupportingIdenticalMultiProperties()`
    `void` | `shouldSupportRegularTransactionsIfThreadedTransactionsAreEnabled()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogicalFeatureSupportTest

          public LogicalFeatureSupportTest()

  - ### Method Detail

    - #### innerSetup

          public void innerSetup()

    - #### shouldNotSupportAnyIdsUnlessUserSuppliedIdsIsSupportedOnVertex

          public void shouldNotSupportAnyIdsUnlessUserSuppliedIdsIsSupportedOnVertex()

    - #### shouldNotSupportAnyIdsUnlessUserSuppliedIdsIsSupportedOnEdge

          public void shouldNotSupportAnyIdsUnlessUserSuppliedIdsIsSupportedOnEdge()

    - #### shouldNotSupportAnyIdsUnlessUserSuppliedIdsIsSupportedOnVertexProperty

          public void shouldNotSupportAnyIdsUnlessUserSuppliedIdsIsSupportedOnVertexProperty()

    - #### shouldSupportADataTypeIfGraphHasVariablesEnabled

          public void shouldSupportADataTypeIfGraphHasVariablesEnabled()

    - #### shouldSupportADataTypeIfEdgeHasPropertyEnabled

          public void shouldSupportADataTypeIfEdgeHasPropertyEnabled()

    - #### shouldSupportADataTypeIfVertexHasPropertyEnabled

          public void shouldSupportADataTypeIfVertexHasPropertyEnabled()

    - #### shouldSupportRegularTransactionsIfThreadedTransactionsAreEnabled

          public void shouldSupportRegularTransactionsIfThreadedTransactionsAreEnabled()

    - #### shouldSupportMultiPropertiesIfSupportingIdenticalMultiProperties

          public void shouldSupportMultiPropertiesIfSupportingIdenticalMultiProperties()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.